Name:		plymouth-theme-bluemoon
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		plymouth-theme-BlueMoon-%{version}.tar.xz
Summary:	BlueMoon Plymouth Theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.10.1
Obsoletes:	plymouth-theme-BlueMoon
BuildArch:      noarch

%description
BlueMoon Plymouth Theme for PCLinuxOS

%prep

%setup -q -n plymouth-theme-BlueMoon-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/BlueMoon
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/BlueMoon


%posttrans
/usr/sbin/plymouth-set-default-theme BlueMoon
/usr/share/bootsplash/scripts/switch-themes BlueMoon

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/BlueMoon/*
%dir %{_datadir}/plymouth/themes/BlueMoon

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}


%changelog
* Sat Jun 11 2011 Neal <nealbrks0 at gmail.com> 0.1-2pclos2011
- add postun to fix nonremoval of theme folder

* Wed Jul 14 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- create new package of a theme by Neal

